lp:ubuntu/precise/mozvoikko

Created by James Westby on 2011-10-13 and last modified on 2012-01-13
Get this branch:
bzr branch lp:ubuntu/precise/mozvoikko
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

25. By Chris Coulson on 2012-01-13

* New upstream release 2.0.1
  - Fixes LP: #914706 - can't select any other spell-check language in
    Firefox with mozvoikko installed

24. By Chris Coulson on 2012-01-03

Drop debian/patches/port_to_latest_firefox.patch, as it just bumped
the compatibility. This is no longer necessary without strictCompatibility
in Firefox 10

23. By Chris Coulson on 2011-11-15

* Update to the 2.0 rewrite
  - Now uses js-ctypes (yay, good riddance evil binary extension)
* Drop firefox-dev, libvoikko-dev, pkg-config and lsb-release build-depends
  - update debian/control
* Make xul-ext-mozvoikko Arch: all
  - update debian/control
* Drop debian/patches/fix_sdk_build.patch
* Update debian/patches/port_to_latest_firefox to work with the current
  Firefox beta
* Drop everything related to the old build system from debian/rules

22. By Chris Coulson on 2011-11-07

* Update for Firefox 8
  - refresh debian/patches/port_to_latest_firefox.patch

21. By Chris Coulson on 2011-09-08

* Update from SVN snapshot to latest stable release
* Refresh patches:
  - update debian/patches/port_to_latest_firefox.patch
  - update debian/patches/fix_sdk_build.patch
* Add an apport hook which just calls up the Firefox hook
  - add debian/source.apport
  - update debian/rules
  - update debian/control to add dh-apport build-depend

20. By Chris Coulson on 2011-08-25

* Bump maxVersion to 7.* and rebuild against the latest beta
  - update debian/patches/port_to_latest_firefox.patch
* Don't clobber CFLAGS, else we end up with no debug symbols
  - update debian/rules

19. By Chris Coulson on 2011-07-18

* Rebuild against Firefox 6
* Rename debian/patches/port_to_firefox5.patch =>
   debian/patches/port_to_latest_firefox.patch
* Bump maxVersion to 6.0.*
  - update debian/patches/port_to_latest_firefox.patch
* Build with -Wno-strict-aliasing, as including nsID.h triggers this warning
  now, due to the changes in nsID::Equals()
  - update debian/patches/port_to_latest_firefox.patch
* Build with -std=gnu++0x on Natty and newer
  - update debian/rules

18. By Chris Coulson on 2011-05-24

* Drop some of the changes from the last upload, as firefox-dev is
  equivalent to xulrunner-dev now
  - update debian/rules to not set XULRUNNER_SDK_DIR
  - update debian/patches/fix_sdk_build.patch to set XULRUNNER_SDK_DIR
    using pkg-config in Makefile.xulrunner
  - update debian/patches/port_to_xulrunner-192.patch to use libxul.pc
    rather than firefox-plugin.pc, and drop the list of linked libs
* Rename port_to_xulrunner-192.patch to port_to_firefox5.patch and merge
  increase_max_ff_version.patch in to it
* Update port_to_firefox5.patch because of changes to mozISpellCheckingEngine
  in Firefox 5

17. By Martin Pitt on 2011-03-24

releasing version 1.9.0~svn20101114r3591-0ubuntu3

16. By Martin Pitt on 2011-03-24

fix fuzz

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/quantal/mozvoikko
This branch contains Public information 
Everyone can see this information.

Subscribers